PENTOBI-THUMBNAILER(6)

NAME
pentobi-thumbnailer - thumbnailer for game records for the board game Blokus as used by the program Pentobi

SYNOPSIS

pentobi-thumbnailer [-s | --size n] inputfile outputfile

pentobi-thumbnailer -h | --help

pentobi-thumbnailer -v | --version

DESCRIPTION

pentobi-thumbnailer is part of the program Pentobi and intended to be used as a thumbnailer for the Gnome desktop environment to generate previews of game files written by Pentobi.

The input file is a game file in Pentobi's SGF format as documented in Pentobi-SGF.md in the Pentobi source package. The output file is a thumbnail image in PNG format.

OPTIONS

-h, --help
    Display help and exit.

-s n, --size n
    The size of the thumbnail. The default is 128.

-v, --version
    Display version and exit.

EXIT STATUS

0 if the thumbnail generation succeeds, 1 on error.

SEE ALSO

pentobi